## ros-crystal-compressed-depth-image-transport 2.0.0

=== debian/changelog ===
ros-crystal-compressed-depth-image-transport (2.0.0-0bionic) bionic; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Bring ros2-devel back into ros2 mainline. (#29 <https://github.com/ros-perception/image_transport_plugins/issues/29>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- David Gossow <dgossow@willowgarage.com>  Thu, 13 Dec 2018 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.5-0bionic) bionic; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.4-0bionic) bionic; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.3-0bionic) bionic; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.2-0bionic) bionic; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.1-0bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.9.0-0bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.21-0bionic) bionic; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Thu, 27 Jun 2013 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.20-0bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Mar 2013 05:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.19-0bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 24 Feb 2013 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.18-0bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 07 Feb 2013 23:59:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.17-0bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jan 2013 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.16-0bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.15-0bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 02:11:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.14-0bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 02:02:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.13-0bionic) bionic; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 01:06:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.12-0bionic) bionic; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Thu, 20 Dec 2012 01:30:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.11-0bionic) bionic; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 23:17:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.10-0bionic) bionic; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 23:03:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.9-0bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 06:26:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.8-0bionic) bionic; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- David Gossow <dgossow@willowgarage.com>  Mon, 17 Dec 2012 06:00:00 -0000

ros-crystal-compressed-depth-image-transport (1.8.7-0bionic) bionic; urgency=high


